
<?php
function getNavBarFn($currPage, $totalPage, $showCount){

/*

getNavBarFn($currPage, $totalPage, $showCount)

========================[參數]========================

$currPage	: 當下頁次

$totalPage	: 總頁次

$showCount	: 欲顯示的頁次數量


====================[回傳JSON字串]====================

"firstPage"		: 第一頁 頁次	(若 $currPage 為 1 時，firstPage = null)
"lastPage"		: 最後頁 頁次	(若 $currPage 為 $totalPage 時， lastPage = null)

"prevPage"		: 上一頁 頁次	(若 $currPage - 1 小於 1 時，prevPage = null)
"nextPage"		: 下一頁 頁次	(若 $currPage + 1 大於 $totalPage 時， nextPage = null)

"prevTenPage"	: 上十頁 頁次	(若 $currPage - 10 小於 1 時，prevTenPage = null)
"nextTenPage"	: 下十頁 頁次	(若 $currPage + 10 大於 $totalPage 時， nextTenPage = null)

"pageItems"		: 撈出來的 頁次 集合
				
*/		


if($showCount > $totalPage){
	$showCount = $totalPage;
}

$showCountHalf = floor($showCount / 2);
$startPage = $currPage - $showCountHalf;

if($startPage < 1){
	$startPage = 1;
}



$overTotalPage = ($startPage + $showCount -1 ) - $totalPage;
if( $overTotalPage > 0){
	$startPage = $startPage -  $overTotalPage;
}

$pageItems = array();
for($i = 0; $i < $showCount; $i++ ){
	$item = $startPage + $i;
	array_push($pageItems, $item);
}
//==========================================================

$firstPage = 1;
if($currPage == 1){
	$firstPage = NULL;
}

$lastPage = $totalPage;

if($currPage == $totalPage || $lastPage <= 0){
	$lastPage = NULL;
}

$prevPage = $currPage - 1;
if($prevPage < 1){
	$prevPage = NULL;
}

$nextPage = $currPage + 1;
if($nextPage > $totalPage ){
	$nextPage = NULL;
}


$prevTenPage = $currPage - 10;
if($prevTenPage < 1){
	$prevTenPage = NULL;
}

$nextTenPage = $currPage + 10;
if($nextTenPage > $totalPage ){
	$nextTenPage = NULL;
}
//==========================================================




$jsonData = array(
	"firstPage" => $firstPage,
	"lastPage" => $lastPage,
	
	"prevPage" => $prevPage,
	"nextPage" => $nextPage,
	
	"prevTenPage" => $prevTenPage,
	"nextTenPage" => $nextTenPage,
	
	"pageItems" => $pageItems
);

return json_encode( $jsonData);	
	
}


?>